cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Flexera beginner

Problem incorporating V11.17.2

Jump to solution

Problem incorporating V11.17.2

I am updating from V11.13.1.2 to V11.17.2 and have encountered a couple of issues getting lm_new.obj to build when in my code.

Development system -  Windows 64

Visual Studio 2019

Target system  I86_n3 (a windows 32 DLL)

I have built the vendor demon and that works OK but when I try and incorporate the newly generated lm_new.obj into my code I get the attached build errors – mostly looking like lmgr.lib is calling out for _lmFlex_stderr and _lm_flex_stdout functions.

I have been through the fnp_devenv.pdf  Flexable API list of standard components (lib’s) Page 26-28 that may be required and I have included them in my build (except for UCRT.lib which caused more errors than it fixed).

Looks to me as if I am missing a lib ?

A screenshot of the output is attached.

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Flexera
Flexera

Re: Problem incorporating V11.17.2

Jump to solution

@paul_carre , can you confirm if "libredir_std.lib" is missing from the list of linked libraries? If so, please add it and retry the build.

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)

View solution in original post

0 Kudos
2 Replies
Highlighted
Flexera
Flexera

Re: Problem incorporating V11.17.2

Jump to solution

@paul_carre , can you confirm if "libredir_std.lib" is missing from the list of linked libraries? If so, please add it and retry the build.

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)

View solution in original post

0 Kudos
Highlighted
Flexera beginner

Re: Problem incorporating V11.17.2

Jump to solution

Yes that indeed fixed the build.

Note that this lib requirement is missing from your documentation.

Paul C

0 Kudos